// last modified: 10AUG1999: updated for gcc-2.95

#include <stdio.h>
#include <stdlib.h>
#include <gtk--.h>
#include <gtk/gtk.h>


/*
 *  GuiDialogOAC: create a basic dialog dialog with 3 buttons 
 */
class GuiDialogOAC : public Gtk_Dialog
	{
	public: 
					GuiDialogOAC ();
	protected: 	
		virtual void 		fillVBox ();
		virtual gint		delete_event_impl (GdkEventAny *e);

		Gtk_HBox                d_hBoxFoldOffset;
		Gtk_Adjustment		d_adjFoldOffset;
		Gtk_HScale 		d_hsFoldOffset;
	};



GuiDialogOAC::GuiDialogOAC()
	      : Gtk_Dialog (),
		  d_hBoxFoldOffset (TRUE, 0),
		  d_adjFoldOffset (20, 10, 100, 1),
		  d_hsFoldOffset (d_adjFoldOffset)
{
	this->set_position (GTK_WIN_POS_MOUSE);		
	this->set_usize (250, 125);
	this->get_vbox()->set_border_width (2);

	fillVBox ();

	this->show ();
}


void GuiDialogOAC::fillVBox ()
{
	d_hBoxFoldOffset.pack_end (d_hsFoldOffset, TRUE, TRUE, 3);
	d_hsFoldOffset.show ();
	this->get_vbox()->pack_start (d_hBoxFoldOffset, TRUE, TRUE, 3);
	d_hBoxFoldOffset.show ();
	this->get_vbox()->show ();
}


gint GuiDialogOAC::delete_event_impl(GdkEventAny *)
{
	this->hide ();
	return 0;
}


int main (int argc, char *argv[])
{
	Gtk_Main        gtkMain (&argc, &argv);
	GuiDialogOAC *testDialog;

	testDialog = new GuiDialogOAC ();
	testDialog->show ();
	gtkMain.run ();
}





